/// <reference types="react" />
/**
 * Marks terms following the CamelCase convention.
 *
 * Example matches:
 *
 *   CamelCase
 *   LongCamelCasedTerm
 *   iSomething
 *
 * Source:
 * https://github.com/translate/translate/blob/2.3.1/translate/storage/placeables/general.py#L274
 */
export declare const camelCaseString: {
    rule: RegExp;
    matchIndex: number;
    tag: (x: string) => JSX.Element;
};
