/// <reference types="react" />
/**
 * Marks term expressions from Fluent syntax.
 *
 * Documentation: https://projectfluent.org/fluent/guide/terms.html
 *
 * Example matches:
 *
 *   {-brand}
 *   { -brand }
 *   { -brand-name }
 */
export declare const fluentTerm: {
    rule: RegExp;
    tag: (x: string) => JSX.Element;
};
