"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.jsonPlaceholder = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
/**
 * Marks JSON format placeholders as used by the WebExtension API.
 *
 * Terms must start and end with a dollar sign "$" and contain only capital
 * letters or underscores.
 *
 * Example matches:
 *
 *   $USER$
 *   $FIRST_NAME$
 */
exports.jsonPlaceholder = {
    rule: /(\$[A-Z0-9_]+\$)/,
    tag: function (x) { return ((0, jsx_runtime_1.jsx)("mark", __assign({ "data-mark": "jsonPlaceholder", title: "JSON placeholder" }, { children: x }))); },
};
