"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.numberString = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
/**
 * Marks numbers.
 *
 * Example matches:
 *
 *   42
 *   42.0
 *   4,200.00
 *   4 200.00 (with no-break space)
 *
 * Source:
 * https://github.com/translate/translate/blob/2.3.1/translate/storage/placeables/general.py#L72
 */
exports.numberString = {
    rule: /([-+]?[0-9]+([\u00A0.,][0-9]+)*)\b/u,
    matchIndex: 0,
    tag: function (x) { return ((0, jsx_runtime_1.jsx)("mark", __assign({ "data-mark": "numberString", title: "Number" }, { children: x }))); },
};
