/// <reference types="react" />
/**
 * Marks command line options.
 *
 * Example matches:
 *
 *   --help
 *   -i
 *
 * Source:
 * https://github.com/translate/translate/blob/2.3.1/translate/storage/placeables/general.py#L317
 */
export declare const optionPattern: {
    rule: RegExp;
    matchIndex: number;
    tag: (x: string) => JSX.Element;
};
