"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.shortCapitalNumberString = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
/**
 * Marks 2-letters-long terms containing a combination of a capital letter and
 * a number.
 *
 * Example matches:
 *
 *   3D
 *   A4
 */
exports.shortCapitalNumberString = {
    rule: /(\b([A-Z][0-9])|([0-9][A-Z])\b)/,
    tag: function (x) { return ((0, jsx_runtime_1.jsx)("mark", __assign({ "data-mark": "shortCapitalNumberString", title: "Short capital letter and number string" }, { children: x }))); },
};
