/// <reference types="react" />
/**
 * Marks XML entities.
 *
 * Example matches:
 *
 *   &brandShortName;
 *   &#1234;
 *
 * Source:
 * https://github.com/translate/translate/blob/2.3.1/translate/storage/placeables/general.py#L254
 */
export declare const xmlEntity: {
    rule: RegExp;
    matchIndex: number;
    tag: (x: string) => JSX.Element;
};
