/// <reference types="react" />
/**
 * Marks XML tags.
 *
 * Example matches:
 *
 *   <user>
 *   </user>
 *   <tag attr="foo" />
 *
 * Source:
 * https://github.com/translate/translate/blob/2.3.1/translate/storage/placeables/general.py#L301
 */
export declare const xmlTag: {
    rule: RegExp;
    matchIndex: number;
    tag: (x: string) => JSX.Element;
};
