/// <reference types="react" />
/**
 * Marks terms that look like a path to a folder or a file.
 *
 * Example matches:
 *
 *   /home/lisa
 *   /home/homer/budget.md
 *   ~/recipies.txt
 *
 * Source:
 * https://github.com/translate/translate/blob/2.3.1/translate/storage/placeables/general.py#L208
 */
export declare const filePattern: {
    rule: RegExp;
    matchIndex: number;
    tag: (x: string) => JSX.Element;
};
