/// <reference types="react" />
/**
 * Marks string expressions from Fluent syntax.
 *
 * Documentation: https://projectfluent.org/fluent/guide/special.html#quoted-text
 *
 * Example matches:
 *
 *   { "" }
 *   { "Hello, World" }
 */
export declare const fluentString: {
    rule: RegExp;
    tag: (x: string) => JSX.Element;
};
