/// <reference types="react" />
/**
 * Marks numbers.
 *
 * Example matches:
 *
 *   42
 *   42.0
 *   4,200.00
 *   4 200.00 (with no-break space)
 *
 * Source:
 * https://github.com/translate/translate/blob/2.3.1/translate/storage/placeables/general.py#L72
 */
export declare const numberString: {
    rule: RegExp;
    matchIndex: number;
    tag: (x: string) => JSX.Element;
};
