/// <reference types="react" />
/**
 * Marks Python formatting named variables.
 *
 * Example matches:
 *
 *   %(name)s
 *   %(number)D
 */
export declare const pythonFormatNamedString: {
    rule: RegExp;
    tag: (x: string) => JSX.Element;
};
