/// <reference types="react" />
/**
 * Marks Python new string formatting variables.
 *
 * Documentation:
 * https://docs.python.org/3/library/string.html#formatstrings
 *
 * Example matches:
 *
 *   {0}
 *   {number}
 *   {foo[42]}
 */
export declare const pythonFormatString: {
    rule: RegExp;
    tag: (x: string) => JSX.Element;
};
