/// <reference types="react" />
/**
 * Marks unusually placed spaces:
 * - at the end of a line
 * - after a newline or tab
 * - multiple spaces
 *
 * Example matches:
 *
 *   "hello world "
 *   "hello\t world"
 *   "hello  world"
 */
export declare const unusualSpace: {
    rule: RegExp;
    tag: (x: string) => JSX.Element;
};
